package cn.tsy.data.idsse.dsds.model.voyage;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;

/**********************************************
* 航次参航人员信息
* @author: zxq
* @date: 2024-05-13 23:57:14
* @version: 1.0.0
* @email: revisit@126.com
* @Company: www.hmesoft.cn
*/
@HmeTable(name = "VOYAGE_MEMBER", key="TSY_ID")
public class VoyageMember extends HmeBean{
	private static final long serialVersionUID = -3037519635497760385L;
	private Integer tsy_id;
	//航次编号
	private Integer voyage_id;
	//对应文件名称
	private Integer file_id;
	//参航人员姓名
	private String member_name;
	//参航人员性别
	private String member_sex;
	//参航人员生日
	private String member_birthday;
	//参航人员单位
	private String member_unit;
	//参航人员职责
	private String member_dept;
	//联系电话
	private String member_tel;
	//证件号码
	private String member_cert;
	//银行名称
	private String bank_name;
	//银行卡号码
	private String bank_card;
	//开户行
	private String bank_addr;
	private String member_remark;
	//船上房间号码
	private String ship_room_addr;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 航次编号
	 */
	public Integer getVoyage_id() {
		return this.voyage_id;
	}

	/****
	 * 航次编号
	 */
	public void setVoyage_id(Integer voyage_id) {
		this.voyage_id = voyage_id;
	}

	/****
	 * 对应文件名称
	 */
	public Integer getFile_id() {
		return this.file_id;
	}

	/****
	 * 对应文件名称
	 */
	public void setFile_id(Integer file_id) {
		this.file_id = file_id;
	}

	/****
	 * 参航人员姓名
	 */
	public String getMember_name() {
		return this.member_name;
	}

	/****
	 * 参航人员姓名
	 */
	public void setMember_name(String member_name) {
		this.member_name = member_name;
	}

	/****
	 * 参航人员性别
	 */
	public String getMember_sex() {
		return this.member_sex;
	}

	/****
	 * 参航人员性别
	 */
	public void setMember_sex(String member_sex) {
		this.member_sex = member_sex;
	}

	/****
	 * 参航人员生日
	 */
	public String getMember_birthday() {
		return this.member_birthday;
	}

	/****
	 * 参航人员生日
	 */
	public void setMember_birthday(String member_birthday) {
		this.member_birthday = member_birthday;
	}

	/****
	 * 参航人员单位
	 */
	public String getMember_unit() {
		return this.member_unit;
	}

	/****
	 * 参航人员单位
	 */
	public void setMember_unit(String member_unit) {
		this.member_unit = member_unit;
	}

	/****
	 * 参航人员职责
	 */
	public String getMember_dept() {
		return this.member_dept;
	}

	/****
	 * 参航人员职责
	 */
	public void setMember_dept(String member_dept) {
		this.member_dept = member_dept;
	}

	/****
	 * 联系电话
	 */
	public String getMember_tel() {
		return this.member_tel;
	}

	/****
	 * 联系电话
	 */
	public void setMember_tel(String member_tel) {
		this.member_tel = member_tel;
	}

	/****
	 * 证件号码
	 */
	public String getMember_cert() {
		return this.member_cert;
	}

	/****
	 * 证件号码
	 */
	public void setMember_cert(String member_cert) {
		this.member_cert = member_cert;
	}

	/****
	 * 银行名称
	 */
	public String getBank_name() {
		return this.bank_name;
	}

	/****
	 * 银行名称
	 */
	public void setBank_name(String bank_name) {
		this.bank_name = bank_name;
	}

	/****
	 * 银行卡号码
	 */
	public String getBank_card() {
		return this.bank_card;
	}

	/****
	 * 银行卡号码
	 */
	public void setBank_card(String bank_card) {
		this.bank_card = bank_card;
	}

	/****
	 * 开户行
	 */
	public String getBank_addr() {
		return this.bank_addr;
	}

	/****
	 * 开户行
	 */
	public void setBank_addr(String bank_addr) {
		this.bank_addr = bank_addr;
	}

	public String getMember_remark() {
		return this.member_remark;
	}

	public void setMember_remark(String member_remark) {
		this.member_remark = member_remark;
	}

	/****
	 * 船上房间号码
	 */
	public String getShip_room_addr() {
		return this.ship_room_addr;
	}

	/****
	 * 船上房间号码
	 */
	public void setShip_room_addr(String ship_room_addr) {
		this.ship_room_addr = ship_room_addr;
	}




}